<?
include('db.inc.php');

function PrintSelect($table, $field) {
	$mydb = new db();

	$stmt = "SELECT * FROM $table ORDER BY nev ASC";
	$result=$mydb->query($stmt);

	printf("<select name=$field>\n");
	printf("<option value=0>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>\n");

	while (($row = mysql_fetch_object($result))){
		printf("<option value=\"%s\">%s</option>\n", $row->id, stripslashes($row->nev));	
	}

	printf("</select>\n");

}

function helyihiba($msg){

	global $_POST;

	include('header.inc.php');?>
	<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Ajánlatkérés</p>

	<?
printf("<h5>Hiba!</h5><p>%s", $msg);?>

	</td>
              </tr>
            </table>

	<?
include('footer.inc.php');
	exit();
}




if (isset($round)){

	if ($megnevezes=="" || $nev=="" || $vforma=="" || $elerhetoseg=="" || $kategoria_1=="" || $munka=="" || $ervenyes=="" || $mobtel=="") {
		helyihiba("Nem töltött ki minden kötelező mezőt! A javításhoz használja a 'Vissza' gombot!");
	}

	if (substr(md5($check),6,8)!=substr($ellenorzo,6,8))
		exit();


	// html kódok leugranak
	$megnevezes=addslashes(strip_tags($megnevezes));
	$nev=addslashes(strip_tags($nev));
	$elerhetoseg=addslashes(strip_tags($elerhetoseg));
	$vforma=addslashes(strip_tags($vforma));
	$munka=addslashes(strip_tags($munka));
	$szempontok=addslashes(strip_tags($szempontok));
	$ervenyes=addslashes(strip_tags($ervenyes));
	$mobtel=addslashes(strip_tags($mobtel));

	$arbevetel=addslashes(strip_tags($arbevetel));
	$alkalmazottak=addslashes(strip_tags($alkalmazottak));
	$kimeno_szamlak=addslashes(strip_tags($kimeno_szamlak));
	$bejovo_szamlak=addslashes(strip_tags($bejovo_szamlak));
	$munkahely=addslashes(strip_tags($munkahely));
	$fotevekenyseg=addslashes(strip_tags($fotevekenyseg));
	$szekhely=addslashes(strip_tags($szekhely));



	$ervenyes=date('Y-m-d',mktime(0,0,0,date("m"),date("d")+$ervenyes*7,date("Y")));

	$stmt = "INSERT INTO kk_ajanlat(megnevezes, nev, vforma, elerhetoseg, kategoria_1, kategoria_2, kategoria_3, munka, szempontok, ervenyes, datum, ip, mobtel, szekhely, fotevekenyseg, munkahely, bejovo_szamlak, kimeno_szamlak, alkalmazottak, arbevetel) VALUES('$megnevezes', '$nev', '$vforma', '$elerhetoseg', '$kategoria_1', '$kategoria_2', '$kategoria_3', '$munka', '$szempontok', '$ervenyes', NOW(), '$REMOTE_ADDR', '$mobtel', '$szekhely', '$fotevekenyseg', '$munkahely', '$bejovo_szamlak', '$kimeno_szamlak', '$alkalmazottak', '$arbevetel')" ;

	//include('db.inc.php');
	$mydb = new db();
	$result=$mydb->query($stmt);


	//mail a szerkesztonek

	$to="info@konyvel.net";
	$subject="Ajánlat érkezett";
	$message=$nev ."(". $elerhetoseg .")\n" . $munka;
	$xtra="From: ajanlatkeres@$SERVER_NAME\nReply-To: ". $elerhetoseg ."\nX-Mailer: PL-PHP/" . phpversion();

	//printf("%s<BR>%s<BR>%s<BR>%s<BR>", $to, $subject, $message, $xtra);
	mail($to, $subject, $message, $xtra);



	include('header.inc.php');?>
<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Ajánlatkérés</p>
<?	
	printf("Az ajánlatkérés megérkezett szerkesztőségünkbe. Reméljük, nemsokára megfelelő ajánlatot küldenek Önnek.<P><a href=\"index.php\">Vissza a címlapra.");?>
		</td>
              </tr>
            </table>
	<?	include('footer.inc.php');


}else{
	include('header.inc.php');?>
<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Ajánlatkérés</p>
<?	
	
include('ajanlat.form.inc.php');?>
</td>
              </tr>
            </table>
	<?
include('footer.inc.php');
}



?>
